package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 【请填写功能名称】对象 ods_online_ol_dgiinfo_a
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "【请填写功能名称】")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ods_online_ol_dgiinfo_a")
public class OdsOnlineOlDgiinfoA extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private String id;


    @ApiModelProperty(value = "企业主键ID")
    /** 企业主键ID */
    @Excel(name = "企业主键ID")
    private String psId;


    @ApiModelProperty(value = "mn编码")
    /** mn编码 */
    @Excel(name = "mn编码")
    private String dgiMn;


    @ApiModelProperty(value = "数采仪密码")
    /** 数采仪密码 */
    @Excel(name = "数采仪密码")
    private String dgiPwd;


    @ApiModelProperty(value = "ip地址")
    /** ip地址 */
    @Excel(name = "ip地址")
    private String ip;


    @ApiModelProperty(value = "端口")
    /** 端口 */
    @Excel(name = "端口")
    private String port;


    @ApiModelProperty(value = "sim卡号")
    /** sim卡号 */
    @Excel(name = "sim卡号")
    private String simNo;


    @ApiModelProperty(value = "领用人")
    /** 领用人 */
    @Excel(name = "领用人")
    private String getter;


    @ApiModelProperty(value = "领用单位")
    /** 领用单位 */
    @Excel(name = "领用单位")
    private String getUnit;


    @ApiModelProperty(value = "领用日期")
    /** 领用日期 */
    @Excel(name = "领用日期")
    private String getDate;


    @ApiModelProperty(value = "启用日期")
    /** 启用日期 */
    @Excel(name = "启用日期")
    private String useDate;


    @ApiModelProperty(value = "间隔时间")
    /** 间隔时间 */
    @Excel(name = "间隔时间")
    private String intervalTime;


    @ApiModelProperty(value = "生产厂家设备品牌")
    /** 生产厂家设备品牌 */
    @Excel(name = "生产厂家设备品牌")
    private String manufactor;


    @ApiModelProperty(value = "设备出厂编号")
    /** 设备出厂编号 */
    @Excel(name = "设备出厂编号")
    private String equipmentFactoryNumber;


    @ApiModelProperty(value = "设备型号")
    /** 设备型号 */
    @Excel(name = "设备型号")
    private String equipmentTypeCode;


    @ApiModelProperty(value = "联系人")
    /** 联系人 */
    @Excel(name = "联系人")
    private String contact;


    @ApiModelProperty(value = "联系人手机")
    /** 联系人手机 */
    @Excel(name = "联系人手机")
    private String contactPhone;


    @ApiModelProperty(value = "检查状态")
    /** 检查状态 */
    @Excel(name = "检查状态")
    private String checkState;






    @ApiModelProperty(value = "禁用时间")
    /** 禁用时间 */
    @Excel(name = "禁用时间")
    private String deleteTime;


    @ApiModelProperty(value = "禁用后再次启用时间")
    /** 禁用后再次启用时间 */
    @Excel(name = "禁用后再次启用时间")
    private String enableTime;


    @ApiModelProperty(value = "是否启用，1-启用 0-禁用")
    /** 是否启用，1-启用 0-禁用 */
    @Excel(name = "是否启用，1-启用 0-禁用")
    private String enable;


    @ApiModelProperty(value = "是否具备防作假功能，1-是 0-否")
    /** 是否具备防作假功能，1-是 0-否 */
    @Excel(name = "是否具备防作假功能，1-是 0-否")
    private Long preventFaking;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("psId", getPsId())
            .append("dgiMn", getDgiMn())
            .append("dgiPwd", getDgiPwd())
            .append("ip", getIp())
            .append("port", getPort())
            .append("simNo", getSimNo())
            .append("getter", getGetter())
            .append("getUnit", getGetUnit())
            .append("getDate", getGetDate())
            .append("useDate", getUseDate())
            .append("intervalTime", getIntervalTime())
            .append("manufactor", getManufactor())
            .append("equipmentFactoryNumber", getEquipmentFactoryNumber())
            .append("equipmentTypeCode", getEquipmentTypeCode())
            .append("contact", getContact())
            .append("contactPhone", getContactPhone())
            .append("checkState", getCheckState())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("deleteTime", getDeleteTime())
            .append("enableTime", getEnableTime())
            .append("enable", getEnable())
            .append("preventFaking", getPreventFaking())
            .toString();
    }
}
